## cmdliner 1.0.2

=== Makefile ===
# To be used by system package managers to bootstrap opam. topkg
# cannot be used as it needs opam-installer which is provided by opam
# itself.

# Typical usage:
#
# make all
# make install PREFIX=/usr/local
# make install-doc PREFIX=/usr/local

# Adjust the following on the cli invocation for configuring

PREFIX=/usr
LIBDIR=$(DESTDIR)$(PREFIX)/lib/ocaml/cmdliner
DOCDIR=$(DESTDIR)$(PREFIX)/share/doc/cmdliner
NATIVE=$(shell ocamlopt -version > /dev/null 2>&1 && echo true)

INSTALL=install
OCAMLBUILD=ocamlbuild -use-ocamlfind
B=_build/src
BASE=$(B)/cmdliner

ifeq ($(NATIVE),true)
	BUILD-TARGETS=build-byte build-native build-native-dynlink
	INSTALL-TARGETS=install-common install-byte install-native \
                 install-native-dynlink
else
	BUILD-TARGETS=build-byte
	INSTALL-TARGETS=install-common install-byte
endif

all: $(BUILD-TARGETS)

install: $(INSTALL-TARGETS)

install-doc:
	$(INSTALL) -d $(DOCDIR)
	$(INSTALL) CHANGES.md LICENSE.md README.md $(DOCDIR)

clean:
	$(OCAMLBUILD) -clean

build-byte:
	$(OCAMLBUILD) src/cmdliner.cma

build-native:
	$(OCAMLBUILD) src/cmdliner.cmxa

build-native-dynlink:
	$(OCAMLBUILD) src/cmdliner.cmxs

create-libdir:
	$(INSTALL) -d $(LIBDIR)

install-common: create-libdir
	$(INSTALL) pkg/META opam $(BASE).mli $(BASE).cmi $(BASE).cmti $(LIBDIR)

install-byte: create-libdir
	$(INSTALL) $(BASE).cma $(LIBDIR)

install-native: create-libdir
	$(INSTALL) $(BASE).cmxa $(BASE).a $(wildcard $(B)/cmdliner*.cmx) $(LIBDIR)

install-native-dynlink: create-libdir
	$(INSTALL) $(BASE).cmxs $(LIBDIR)

.PHONY: all install install-doc clean build-byte build-native \
	build-native-dynlink create-libdir install-common install-byte \
  install-native install-dynlink

## cmdliner 0.9.3

=== debian/changelog ===
cmdliner (0.9.3-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:15:59 +0000

cmdliner (0.9.3-1) unstable; urgency=low

  * Initial upload (Closes: #641986)

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 06 Jan 2013 10:50:00 +0200

=== debian/control ===
Source: cmdliner
Section: devel
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 8),
 ocaml-nox,
 ocaml-findlib (>= 1.2.4),
 dh-ocaml (>= 0.9)
Standards-Version: 3.9.3
Homepage: http://erratique.ch/software/cmdliner
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cmdliner.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cmdliner.git

Package: libcmdliner-ocaml-dev
Architecture: any
Section: ocaml
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ocaml-findlib,
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: declarative definition of command line interfaces
 It provides a simple and compositional mechanism to convert command
 line arguments to OCaml values and pass them to your functions.
 The module automatically handles syntax errors, help messages and
 UNIX man page generation. It supports programs with single or
 multiple commands (like darcs or git) and respects most of the POSIX
 and GNU conventions.
 .
 This package contains the development modules you need to use Cmdliner
 in your programs.

## cmdliner 0.9.4

=== debian/changelog ===
cmdliner (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Use a new build system in order to aboid unnecessary new build
    dependencies.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 27 Mar 2014 21:50:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: cmdliner
-Section: devel
+Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
@@ -20,8 +20,9 @@
 Depends:
  ${ocaml:Depends},
  ${shlibs:Depends},
- ocaml-findlib,
  ${misc:Depends}
+Suggests:
+ ocaml-findlib
 Provides:
  ${ocaml:Provides}
 Description: declarative definition of command line interfaces

=== debian/watch ===
version=3
http://erratique.ch/software/cmdliner .*cmdliner-(.+)\.tbz

## cmdliner 0.9.7

=== debian/changelog ===
cmdliner (0.9.7-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 02 Nov 2015 17:15:44 -0600

cmdliner (0.9.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch
  * Update Vcs-*
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Tue, 07 Jul 2015 11:22:00 +0200

## cmdliner 0.9.8

=== debian/changelog ===
cmdliner (0.9.8-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:55:55 +0200

cmdliner (0.9.8-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2017 16:06:19 +0200

cmdliner (0.9.8-1) unstable; urgency=medium

  * New upstream release

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 18 Jan 2016 00:35:03 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  debhelper (>= 8),
  ocaml-nox,
  ocaml-findlib (>= 1.2.4),
+ ocamlbuild,
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://erratique.ch/software/cmdliner
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cmdliner.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cmdliner.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/cmdliner.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cmdliner.git
 
 Package: libcmdliner-ocaml-dev
 Architecture: any
-Section: ocaml
 Depends:
  ${ocaml:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)/cmdliner
export OCAMLFIND_DESTDIR

TARGETS=cmdliner.cmi cmdliner.cma
ifeq ($(OCAML_BEST),opt)
TARGETS+=cmdliner.a cmdliner.cmx cmdliner.cmxa cmdliner.cmxs
endif

TO_INSTALL=$(addprefix _build/src/,$(TARGETS)) pkg/META src/cmdliner.mli

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocamlbuild -classic-display $(TARGETS)

.PHONY: override_dh_auto_test
override_dh_auto_test:

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	cp $(TO_INSTALL) '$(OCAMLFIND_DESTDIR)'

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocamlbuild -classic-display -clean

=== debian/watch ===
version=3
http://erratique.ch/software/cmdliner/releases/ .*cmdliner-(.+)\.tbz

## cmdliner 1.0.2

=== debian/changelog ===
cmdliner (1.0.2-1) unstable; urgency=medium

  [ Hendrik Tews ]
  * New upstream version 1.0.2
  * compat level 10, standards version 4.0.0
  * add build dependency libresult-ocaml-dev
  * update VCS fields
  * add myself to uploaders
  * updated copyright
  * update rules: remove most of the overrides, build sequential because
    ocamlbuild would otherwise fail
  * remove .doc-base file: there is no documentation any more
  * fix .docs file
  * add patch install-x for removing x-permission in make install
  * add README.Debian to point to the online documentation
  * generate documentation with dh_ocamldoc, the command line switches in
    libcmdliner-ocaml-dev.ocamldoc have been copied from a run of ``topkg doc''
  * remove README.Debian again

  [ Mehdi Dogguy ]
  * Update Vcs-* fields to target Salsa

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 15:30:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Mehdi Dogguy <mehdi@debian.org>
+ Mehdi Dogguy <mehdi@debian.org>,
+ Hendrik Tews <hendrik@askra.de>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 10.3),
  ocaml-nox,
  ocaml-findlib (>= 1.2.4),
  ocamlbuild,
- dh-ocaml (>= 0.9)
-Standards-Version: 3.9.6
+ dh-ocaml (>= 0.9),
+ libresult-ocaml-dev
+Standards-Version: 4.0.0
 Homepage: http://erratique.ch/software/cmdliner
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/cmdliner.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cmdliner.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/cmdliner.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/cmdliner
 
 Package: libcmdliner-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml --no-parallel

.PHONY: override_dh_auto_install
override_dh_auto_install:
	make DESTDIR=$(DESTDIR) install

.PHONY: override_dh_install
override_dh_install:
	dh_install --exclude=opam

.PHONY: override_dh_missing
override_dh_missing:
	dh_missing --fail-missing

## cmdliner 1.0.4

=== Makefile ===
# To be used by system package managers to bootstrap opam. topkg
# cannot be used as it needs opam-installer which is provided by opam
# itself.

# Typical usage:
#
# make all
# make install PREFIX=/usr/local
# make install-doc PREFIX=/usr/local

# Adjust the following on the cli invocation for configuring

-include $(shell ocamlc -where)/Makefile.config

PREFIX=/usr
LIBDIR=$(DESTDIR)$(PREFIX)/lib/ocaml/cmdliner
DOCDIR=$(DESTDIR)$(PREFIX)/share/doc/cmdliner
NATIVE=$(shell ocamlopt -version > /dev/null 2>&1 && echo true)
# EXT_LIB     by default value of OCaml's Makefile.config
# NATDYNLINK  by default value of OCaml's Makefile.config

INSTALL=install
B=_build
BASE=$(B)/cmdliner

ifeq ($(NATIVE),true)
	BUILD-TARGETS=build-byte build-native
	INSTALL-TARGETS=install-common install-byte install-native
	ifeq ($(NATDYNLINK),true)
	  BUILD-TARGETS += build-native-dynlink
	  INSTALL-TARGETS += install-native-dynlink
	endif
else
	BUILD-TARGETS=build-byte
	INSTALL-TARGETS=install-common install-byte
endif

all: $(BUILD-TARGETS)

install: $(INSTALL-TARGETS)

install-doc:
	$(INSTALL) -d $(DOCDIR)
	$(INSTALL) CHANGES.md LICENSE.md README.md $(DOCDIR)

clean:
	ocaml build.ml clean

build-byte:
	ocaml build.ml cma

build-native:
	ocaml build.ml cmxa

build-native-dynlink:
	ocaml build.ml cmxs

create-libdir:
	$(INSTALL) -d $(LIBDIR)

install-common: create-libdir
	$(INSTALL) pkg/META $(BASE).mli $(BASE).cmi $(BASE).cmti $(LIBDIR)
	$(INSTALL) cmdliner.opam $(LIBDIR)/opam

install-byte: create-libdir
	$(INSTALL) $(BASE).cma $(LIBDIR)

install-native: create-libdir
	$(INSTALL) $(BASE).cmxa $(BASE)$(EXT_LIB) $(wildcard $(B)/cmdliner*.cmx) \
  $(LIBDIR)

install-native-dynlink: create-libdir
	$(INSTALL) $(BASE).cmxs $(LIBDIR)

.PHONY: all install install-doc clean build-byte build-native \
	build-native-dynlink create-libdir install-common install-byte \
  install-native install-dynlink

=== debian/changelog ===
cmdliner (1.0.4-2build3) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:22:33 +0100

cmdliner (1.0.4-2build2) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 14:46:54 +0100

cmdliner (1.0.4-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:21:27 +0000

cmdliner (1.0.4-2) unstable; urgency=medium

  * debian/rules:
    - do not export BUILD_PATH_PREFIX_MAP
    - include ocamlvars.mk
  * Build-depend on debhelper-compat
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jan 2020 08:47:44 +0100

cmdliner (1.0.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12
  * Uploaders: remove Hendrik and add myself

 -- Stéphane Glondu <glondu@debian.org>  Tue, 23 Jul 2019 15:30:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 DESTDIR=$(CURDIR)/debian/tmp
+
+include /usr/share/ocaml/ocamlvars.mk
 
 %:
 	dh $@ --with ocaml --no-parallel

=== debian/watch ===
version=3
https://erratique.ch/software/cmdliner/releases/ .*cmdliner-(.+)\.tbz

## cmdliner 1.1.1

=== Makefile ===
--- 
+++ 
@@ -40,8 +40,10 @@
 install: $(INSTALL-TARGETS)
 
 install-doc:
-	$(INSTALL) -d $(DOCDIR)
+	$(INSTALL) -d $(DOCDIR)/odoc-pages
 	$(INSTALL) CHANGES.md LICENSE.md README.md $(DOCDIR)
+	$(INSTALL) doc/index.mld doc/cli.mld doc/examples.mld doc/tutorial.mld \
+	           doc/tool_man.mld $(DOCDIR)/odoc-pages
 
 clean:
 	ocaml build.ml clean

=== debian/changelog ===
cmdliner (1.1.1-1build1) kinetic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Jul 2022 13:12:32 +0200

cmdliner (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patch.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Jun 2022 11:33:06 +0200

## cmdliner 1.2.0

=== debian/changelog ===
cmdliner (1.2.0-2build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 15:57:12 +0100

cmdliner (1.2.0-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 23:07:32 +0100

cmdliner (1.2.0-2) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:50:39 +0200

cmdliner (1.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2023 09:39:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
- Hendrik Tews <hendrik@askra.de>
+ Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 10.3),
- ocaml-nox,
- ocaml-findlib (>= 1.2.4),
+ debhelper-compat (= 13),
+ ocaml,
+ ocaml-findlib,
  ocamlbuild,
- dh-ocaml (>= 0.9),
- libresult-ocaml-dev
-Standards-Version: 4.0.0
-Homepage: http://erratique.ch/software/cmdliner
+ libresult-ocaml-dev,
+ dh-ocaml
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://erratique.ch/software/cmdliner
 Vcs-Git: https://salsa.debian.org/ocaml-team/cmdliner.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/cmdliner

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,3 @@
 .PHONY: override_dh_install
 override_dh_install:
 	dh_install --exclude=opam
-
-.PHONY: override_dh_missing
-override_dh_missing:
-	dh_missing --fail-missing

## cmdliner 1.3.0

=== Makefile ===
--- 
+++ 
@@ -40,10 +40,10 @@
 install: $(INSTALL-TARGETS)
 
 install-doc:
-	$(INSTALL) -d $(DOCDIR)/odoc-pages
-	$(INSTALL) CHANGES.md LICENSE.md README.md $(DOCDIR)
+	$(INSTALL) -d "$(DOCDIR)/odoc-pages"
+	$(INSTALL) CHANGES.md LICENSE.md README.md "$(DOCDIR)"
 	$(INSTALL) doc/index.mld doc/cli.mld doc/examples.mld doc/tutorial.mld \
-	           doc/tool_man.mld $(DOCDIR)/odoc-pages
+	           doc/tool_man.mld "$(DOCDIR)/odoc-pages"
 
 clean:
 	ocaml build.ml clean
@@ -58,21 +58,21 @@
 	ocaml build.ml cmxs
 
 create-libdir:
-	$(INSTALL) -d $(LIBDIR)
+	$(INSTALL) -d "$(LIBDIR)"
 
 install-common: create-libdir
-	$(INSTALL) pkg/META $(BASE).mli $(BASE).cmi $(BASE).cmti $(LIBDIR)
-	$(INSTALL) cmdliner.opam $(LIBDIR)/opam
+	$(INSTALL) pkg/META $(BASE).mli $(BASE).cmi $(BASE).cmti "$(LIBDIR)"
+	$(INSTALL) cmdliner.opam "$(LIBDIR)/opam"
 
 install-byte: create-libdir
-	$(INSTALL) $(BASE).cma $(LIBDIR)
+	$(INSTALL) $(BASE).cma "$(LIBDIR)"
 
 install-native: create-libdir
 	$(INSTALL) $(BASE).cmxa $(BASE)$(EXT_LIB) $(wildcard $(B)/cmdliner*.cmx) \
-  $(LIBDIR)
+  "$(LIBDIR)"
 
 install-native-dynlink: create-libdir
-	$(INSTALL) $(BASE).cmxs $(LIBDIR)
+	$(INSTALL) $(BASE).cmxs "$(LIBDIR)"
 
 .PHONY: all install install-doc clean build-byte build-native \
 	build-native-dynlink create-libdir install-common install-byte \

=== debian/changelog ===
cmdliner (1.3.0-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:55:08 +0100

cmdliner (1.3.0-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:21:28 +0200

cmdliner (1.3.0-2) unstable; urgency=medium

  * Add support for a different OCaml stdlib dir

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 05:15:25 +0200

cmdliner (1.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 Jun 2024 10:27:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
-	make DESTDIR=$(DESTDIR) install
+	make DESTDIR=$(DESTDIR) LIBDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)/cmdliner install
 
 .PHONY: override_dh_install
 override_dh_install:

=== debian/watch ===
version=4
https://erratique.ch/software/cmdliner/releases/ .*cmdliner-(.+)\.tbz
